/*
 * @author George Waldon
 *
 * This code may be freely distributed and modified under the
 * terms of the GNU Lesser General Public Licence v2.1.
 */
package org.starbeans.modules.nativeswing;

import java.net.MalformedURLException;
import java.net.URL;

/**
 *
 * @author George Waldon
 */
public class IUtil {

    /** Create an URL from a string and add the "http://" string if
     * necessary.
     */
    public static URL getURLFromString(String urlString) {
        try {
            return new URL(urlString);
        } catch (MalformedURLException mue1) {
        }

        try {
            return new URL("http://" + urlString); //NOI18N
        } catch (MalformedURLException mue1) {
        }
        return null;
    }

}
